//----------------------------------------------------------------------------
//  (c) G&R Datentechnik 7/95
//  (c) Avanco GmbH 5/96
//  HPGLIN.dcl - fr HPGLIN App
// Lezte nderung 24.7.95 -> Dialog fr Element Info
// Enthlt : 
// 
// 1. HPGLIN   : Allgemeine Einstellungen 

//----------------------------------------------------------------------------
//dcl_settings : default_dcl_settings { audit_level = 3; }

// Verschieden Box-Macros aus support\ddmodify.dcl

number_box : edit_box {
    edit_width = 10;
}

pick_point_button : button {
    label = "Punkt waehlen <";
    alignment = centered;
}

pick_point_1_button : pick_point_button {
    key = "pick_1";
    mnemonic = "u";
}
pick_point_2_button : pick_point_button {
    key = "pick_2";
    mnemonic = "w";
}

x_box : number_box {
    label = "X:";
    mnemonic = "X";
}
y_box : number_box {
    label = "Y:";
    mnemonic = "Y";
}
z_box : number_box {
    label = "Z:";
    mnemonic = "Z";
}

x1_box : x_box {
    key = "x1_pt";
}
x2_box : x_box {
    key = "x2_pt";
}
x3_box : x_box {
    key = "x3_pt";
}
x4_box : x_box {
    key = "x4_pt";
}

y1_box : y_box {
    key = "y1_pt";
}
y2_box : y_box {
    key = "y2_pt";
}
y3_box : y_box {
    key = "y3_pt";
}
y4_box : y_box {
    key = "y4_pt";
}

z1_box : z_box {
    key = "z1_pt";
}
z2_box : z_box {
    key = "z2_pt";
}
z3_box : z_box {
    key = "z3_pt";
}

z4_box : z_box {
    key = "z4_pt";
}


// Haupt- Dialog 
hpglin : dialog {
    aspect_ratio = 0;
    label = "HPGLIN 1.53 (c) Avanco GmbH";
    : row {
	 : boxed_radio_column {
	   initial_focus = "standard";
	   label = " Modi "; 
	   fixed_width = false;
       : radio_button {
	 	 label = "Standardmodus";
		 key = "standard";
		 mnemonic = "S";
	   }
	   : radio_button {
	 	 label = "Freihand-Modus";
		 key = "fhm";
		 mnemonic = "F";
	   }
	   spacer_1;
     }
	}
    : row { 
      : boxed_column {
         label = "Einfuegepunkt";
		 fixed_width = true;
         pick_point_1_button;
         x1_box;
         y1_box;
		 spacer_1;
      }
      : boxed_column {
         label = "Prozentual %";
		 fixed_width = true;
         : slider {
           key = "slider";
           min_value = 0;
           max_value = 100;
           width = 16;
           height = 1;
           small_increment = 1;
           big_increment = 1;
         }
		 : edit_box  {
           label = "%";
           key = "sproz";
		   value = 15;
           width = 6;
           height = 1;
         }
 		 : edit_box  {
           label = "min L-Lnge : ";
           key = "mllen";
		   value = 1;
           width = 6;
           height = 1;
         }

		 spacer_1;
      }

    } 
    spacer_1;  
 ok_cancel;
 errtile;
}

serin : dialog {
    label = "HPGLIN 1.53 Demoversion";
    spacer_1; 
	: text_part {
	  label = " Geben Sie bitte Ihre Seriennummer ein,";
	}
	: text_part {
	  label = " um eine Vollversion zu erhalten.";
	}
	spacer_1;
    : edit_box  {
       label = "Seriennummer :";
       key = "serno";
	   width = 8;
     }
 spacer_1; 
 ok_only;
}

new_demo : dialog {
  label = "HPGLIN 1.53 Demoversion";
  : paragraph {
  	   spacer_1; 
	  : text_part {
	    label = " Sie benutzen derzeit eine Demoversion von HPGLIN. ";
	  }
	  : text_part {
	    label = " Um die Vollversion zu erhalten, fllen Sie bitte";
	  }
	  : text_part {
	    label = " beiliegendes Formular aus, oder wenden Sie sich";
	  }
	  : text_part {
	    label = " bitte direkt an :";
	  }
	  : text_part {
	    label = "";
	  }
	  : text_part {
	    label = "                          Avanco GmbH";
	  }
	  : text_part {
	    label = "                            Schlkestr. 14";
	  }
	  : text_part {
	    label = "                          38118 Braunschweig";
	  }
	  : text_part {
	    label = "                          Tel.: 0531-256 08 50";
	  }
	  : text_part {
	    label = "                          Fax.: 0531-256 08 90";
	  }
  }   
  spacer_1; 
 ok_only;
}
